# include <stdio.h>

/** Εμφάνιση πίνακα συχνοτήτων σε αρχείο **/

int main()
{
	FILE *fp;
	char ch;
	int total=0;
	fp=fopen("lines.txt","r");
	
	int freqTable[128];
	int i;
	
	/** Αρχικοποίηση πίνακα συχνοτητων **/
	for(i=0;i<128;i++) 
	  freqTable[i]=0;
	  
	do
	{
		ch=fgetc(fp);
		if(ch==EOF) break;
		total++;
		freqTable[(int)ch]++;
	}while(1);
	
	for(i=0;i<128;i++)
	{
		if(freqTable[i]>0)
		printf("freq[%c]=%.2lf%%\n",i,freqTable[i]*100.0/total);
	}
	fclose(fp);
	return 0;
}
